/*
 * Delta3D Open Source Game and Simulation Engine
 * Copyright (C) MOVES Institute
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/*!
 * \file mainpage.h
 *
 * This file contains Doxygen special commands and text for the 
 * \ref main "Main Page" and some other minor aspects of this documentation.
 * It is not part of Delta3D.
 */

/*!
 * \mainpage
 * 
 * \image html banner_delta3d.jpg
 *
 * <a href="http://www.delta3d.org/">Delta3D</a> is an Open Source engine which
 * can be used for games, simulations, or other graphical applications.
 *  
 * The <a href="http://www.delta3d.org/">Delta3D</a> framework exists as
 * a number of modules, each sitting in its own library, enclosed within its
 * own namespace. At the very core lies the dtCore library. This contains
 * basic, low-level functionality which is mostly required for all 3D
 * applications written in C++.
 * 
 * Around and alongside this sit other supporting libraries, such as dtUtil
 * (containing reusable features which are useful for most applications),
 * dtTerrain (for rendering terrain databases), dtGame, dtNet, etc.
 * 
 * Extensive online documentation is available from the Delta3D
 * <a href="http://www.delta3d.org/index.php?topic=docs">
 * Docs</a> section to help in using Delta3D.
 * 
 * The project's original reference guides generated by Doxygen from the source
 * code may be viewed at the Delta3D
 * <a href="http://www.delta3d.org/index.php?topic=apis">
 * API Documentation</a> section.
 * 
 * To download source code, binaries, dependencies and sample
 * datasets visit the Delta3D
 * <a href="http://www.delta3d.org/index.php?topic=downloads">
 * Downloads</a> page.
 * 
 * For more about dependencies see the Delta3D 
 * <a href="http://sourceforge.net/apps/mediawiki/delta3d/index.php?title=Dependencies">
 * Dependencies</a> page.
 * 
 * The documentation you are looking at can be downloaded from
 * <a href="http://www.3draum.ch">www.3draum.ch</a>. 
 *   
 * Enjoy! 
 */
 
/*!
 * \dir docgen
 * 
 * This directory is used as the working directory for documentation
 * creation. It is not part of Delta3D. 
 */
